
var mvcDiagramInfo =
	'<hr />' +
	'<h1>About MvcDiagram </h1>' +
	'<p>MvcDiagram is a general-purpose software component that can be used to display various types of diagrams and charts in web applications.</p>' +
	'<h2>Features</h2>' +
	'<ul>' +
		'<li>Interactive zooming, scrolling, and panning</li>' +
		'<li>Hundreds of built-in shapes and the ability to define custom shapes</li>' +
		'<li>Table nodes with collapsible rows and spanning cells</li>' +
		'<li>Many ready-to-use layouts, including spring, tree, layered, orthogonal, and more</li>' +
		'<li>Automatic link routing</li>' +
		'<li>Lane grid</li>' +
		'<li>Hierarchical grouping of diagram elements</li>' +
		'<li>Undo and redo support</li>' +
		'<li>Styles and themes</li>' +
		'<li>Node effects</li>' +
		'<li>Overview control</li>' +
		'<li>Import from Visio and OpenOffice</li>' +
		'<li>Export to images, Visio, PDF, SVG, and DXF</li>' +
	'</ul>' +
    '<p>MvcDiagram provides intuitive user-interaction model for creating or editing diagrams. In addition, its programmatic interface places at your disposal many useful functions, ranging from printing and XML serialization to path-finding and automatic layout algorithms.</p>';

$(function () {
    $('#copyright').html("&copy; " + new Date().getFullYear() + " MindFusion");
    $('#infoTab').append(mvcDiagramInfo);

    if ($('#collapsed')[0].value === "1") {
        $('#info').css('width', '0px');
        $('#content').css('right', '0px');
        $('#expandButton')[0].value = "<";
    }
});

function onExpandCollapse() {
    if ($('#info').css('width') != '400px') {
        $('#info').css('width', '400px');
        $('#content').css('right', '401px');
        $('#expandButton')[0].value = ">";
        $('#collapsed')[0].value = "";
    }
    else {
        $('#info').css('width', '0px');
        $('#content').css('right', '0px');
        $('#expandButton')[0].value = "<";
        $('#collapsed')[0].value = "1";
    }
}
